Interface Cage

All Known Implementing Classes:
CageJson

public interface Cage
A cage in an Equinix IBX data center, as returned by the Equinix Internet Access (EIA) v1 product-availability lookup GET /internetAccess/v1/cages.

This is a read-only response view.

  • Method Details

    • getSpaceId

      String getSpaceId()
      Returns:
      the unique space identifier of the cage
    • getNumber

      String getNumber()
      Returns:
      the cage number
    • getCabinetsCount

      Integer getCabinetsCount()
      Returns:
      the number of cabinets in the cage
    • getLocation

      IbxLocation getLocation()
      Returns:
      the IBX location of the cage
    • getAccount

      SecureCageAccount getAccount()
      Returns:
      the customer billing account that owns the cage